<?php

include('InitTest.php');
include_once("../core/Compute.php");
include_once("../core/Network.php");
include_once("../core/FloatingIp.php");

$compute = new Compute($App);
$network = new Network($App);
$floatingIp = new FloatingIp($App);


// Liste des serveurs
echo "Liste des serveurs : </br>";
$compute->action("listServers");
$servers = json_decode($App->show(), true)["Servers"];
$id = null;
foreach($servers as $server){
	echo $server['name']." ".$server['id']." ".$server['ipv4']."<br>";
	if(strcmp($server['name'], "bob")){
		$id = $server['id'];
	}	
}
echo "</br>";


// Liste des networks
echo "Liste des network : </br>";
$network->action("list_network_ids");
$servers = json_decode($App->show(), true)["ListNetworkIds"];
$id = null;
foreach($servers as $server){
	echo $server."<br>";
}
echo "</br>";


// Liste des floatingip
echo "Liste des floatingip : </br>";
$floatingIp->action("listFloatingIp");
$listFloatingIp =  json_decode($App->show(), true)["FloatingIp"];
$id = null;
foreach ($listFloatingIp as $floatIp){
	echo $floatIp['floatingIpAddress']." ".$floatIp['id']." ".$floatIp["status"]."<br>";
	$id = $floatIp['id'];
}
echo "</br>";


// Liste des floatingip
echo "Get floatingip : </br>";
$App->setPostParam('id', $id);
$floatingIp->action("getFloatingIp");
$getFloatingIp =  json_decode($App->show(), true)["FloatingIp"];
echo $getFloatingIp['id']."<br>";
echo "</br>";


/*
// Création d'une ip flotante
$opt = array();
$opt['floatingNetworkId'] = "251b4641-20ff-4a72-8549-1758788b51ce";

$App->setPostParam('opt', $opt);
$floatingIp->action("createFloatingIp");
$float =  json_decode($App->show(), true)["FloatingIp"];
if(!isset($float)){
	echo "Erreur pendant la création</br>";
}
echo "</br>";
*/

/*
// Suppression d'une ip flotante
$App->setPostParam('id', $id);
$floatingIp->action("deleteFloatingIp");
*/

// Liste des floatingip
echo "Liste des floatingip : </br>";
$floatingIp->action("listFloatingIp");
$listFloatingIp =  json_decode($App->show(), true)["FloatingIp"];
foreach ($listFloatingIp as $floatIp){
	echo $floatIp['floatingIpAddress']." ".$floatIp['id']." ".$floatIp["status"]."<br>";
}


?>